%define module	WWW-Mechanize
%define name	perl-%{module}
%define version	1.02
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Handy web browsing in a Perl object
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel
Buildrequires:	perl-Test-Pod
Buildrequires:	perl-Test-Memory-Cycle
Buildrequires:	perl-Test-Warn
Buildarch:	noarch

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Apr 21 2004 Olivier Blin <blino@mandrake.org> 1.02-2mdk
- quiet setup
- fix Summary

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-1mdk
- new version

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.74-1mdk
- first mdk release
